SETSID(1)

NAMN
setsid - kör ett program i en ny session

SYNOPSIS

setsid [flaggor] program [argument]

BESKRIVNING

setsid kör ett program i en ny session. Kommandot anropar fork(2) om det redan är en processgruppledare. Annars körs ett program i den aktuella processen. Detta standardbeteende är möjligt att åsidosätta med flaggan --fork.

FLAGGOR

-c, --ctty
    Ställ in den styrande terminalen till den aktuella.

-f, --fork
    Skapa alltid en ny process.

-w, --wait
    Vänta på att programmet ska avslutas och returnera programmets utgångsstatus som utgångsstatus för setsid.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

UPPHOVSPERSONER

SE ÄVEN

setid(2)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot setsid ingår i paketet util-linux som kan hämtas från